{% extends "jmdc-main.jinja2" %}

{% block content %}
        <div class="mwafisp mauto">
            <table id="stars" class="cell-border">
                <thead>
                    <tr>
                        <th>ID1</th>
                        <th>ID2</th>
                        <th>UD_DIAM</th>
                        <th>LD_DIAM</th>
                        <th>E_LD_DIAM</th>
                        <th>BAND</th>
                        <th>MU_LAMBDA</th>
                        <th>METHOD</th>
                        <th>BANDCODE</th>
                        <th>NOTES</th>
                        <th>BIBCODE</th>
                        <th>SINPE</th>
                    </tr>
                </thead>
                <tbody>
                    {% for star in stars %}
                        {% if star.star_info_entry.0.validated%}
                            <tr>
                                <td>{{star.id1 or '' }}</td>
                                <td>{{star.id2 or '' }}</td>
                                <td>{{star.ud_diam or '' }}</td>
                                <td>{{star.ld_diam or '' }}</td>
                                <td>{{star.e_ld_diam or '' }}</td>
                                <td>{{star.band or '' }}</td>
                                <td>{{star.mu_lambda or '' }}</td>
                                <td>{{star.method or '' }}</td>
                                <td>{{star.band_code or '' }}</td>
                                <td>{{star.notes or '' }}</td>
                                <td>{{star.bibcode or '' }}</td>
                                <td>{{star.sinpe or '' }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                </tbody>
            </table>
            <script type="text/javascript">
            <!--
            $(document).ready( function () {
                $('#stars').DataTable({
                    aaSorting: [[10,'desc']],
                    searching: false,
                    dom: 'Bfrtip',
                    buttons: [
                      'copy', 'csv', 'excel', 'print', 'pageLength'
                    ],
                    "lengthMenu": [
                      [10, 25, 50, 100, -1],
                      [10, 25, 50, 100, "All"]],
                     "iDisplayLength": 25
                });
            } );
            -->
            </script>
        </div>
        <div>
          <a href="./export_csv" title="export as csv" target="_blank"><button>Export all as CSV</button></a>
        </div>
{% endblock content %}
